Skip to main content
GET
/
api
/
v1
/
tools
List tools
curl --request GET \
  --url https://api.kataven.ai/v1/api/v1/tools \
  --header 'Authorization: <api-key>'
{
  "category_counts": {},
  "count": 123,
  "has_next": true,
  "has_prev": true,
  "limit": 123,
  "next_offset": 123,
  "offset": 123,
  "prev_offset": 123,
  "tools": [
    {
      "category": "<string>",
      "created_at": "<string>",
      "default_version": "<string>",
      "description": "<string>",
      "display_name": "<string>",
      "id": "<string>",
      "implementation_code": "<string>",
      "implementation_config": {},
      "implementation_type": "<string>",
      "is_default": true,
      "modified_from_default": true,
      "name": "<string>",
      "schema": {},
      "tags": [
        "<string>"
      ],
      "updated_at": "<string>"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kataven.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Headers

X-Account-ID
string

Tenant database. Required when using a Zitadel JWT.

Query Parameters

category
string

Filter by category

type
string

Filter by implementation_type (python, http)

Substring search on name, display_name, description

limit
integer

Page size (1-100, default 10)

offset
integer

Pagination offset (default 0)

Response

OK

category_counts
object
count
integer
has_next
boolean
has_prev
boolean
limit
integer
next_offset
integer
offset
integer
prev_offset
integer
tools
object[]
total
integer